Subject: Re: bug#21998: Run 'make change-history' on release branch

From: John Wiegley <[email-masked]>
Date: Sun, 06 Mar 2016 13:07:22 -0800

>>>>> Lars Magne Ingebrigtsen <[email-masked]> writes:

> I agree, and I think we should ditch the ChangeLogs. I think the ChangeLog
> "style" encourages less informative commit log messages. The normal,
> free-form commit style encourages people explaining, in their own words, why
> they do changes, and what they hope to achieve with them.

I have always wanted to drop the ChangeLogs, so if the other developers agree,
I'm all for it. Keeping ChangeLog style in the commit entry is not terribly
useful either, since the diff output of log -p lets you know which function or
variable is being modified. I've never missed not having that ChangeLog data
in other projects, of any size. But that's up to the other developers and what
makes their lives easier.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2